Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08278 Crash/Freeze Critical (emulation) Always Mar 31, 2022, 03:44 Apr 29, 2022, 00:59
Tester CYBERYOGI -CO-Windler View Status Public Platform MAME (Official Binary)
Assigned To Resolution Unable to reproduce OS Windows 10/11 (64-bit)
Status [?] Closed Driver polepos.cpp
Version 0.241 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary 08278: poleposa1, poleposa2: NVRAM corruption during game exit, unable to start new game.
Description Bug #07844 is not fixed but still valid.

After exiting game and then restarting, it will get stuck in the powerup ram/rom test garbage display screen with a "RAM 0" error and constantly loop. You have to delete NVRAM files for this set to play, but after exit it will get stuck again.

The bug can be circumvented by copying the nvram file from polepos (or other non-Atari). which makes it boot correctly after exit. Apparently the nvram file is not initialized correctly. I also copied the used nvram (originally from polepos, whith new highscores) of poleposa2 to poleposa1. Strange is that even this once did not work (only after leaving MAME and starting browser etc.), so there may be uninitialized RAM or such a thing causing semi-random behaviour.
Steps To Reproduce Load and run the games, then exit and load and run again.
Additional Information Hardware: IBM Thinkpad X61t with CPU Core2Duo 1.6GHz, 4GB RAM, Win10 version 1711.
Github Commit
Flags
Regression Version
Affected Sets / Systems poleposa1, poleposa2
Attached Files
7z file icon Pole Position_nvram.7z (2,471 bytes) Apr 1, 2022, 19:38 Uploaded by CYBERYOGI -CO-Windler
Relationships
There are no relationship linked to this issue.
Notes
9
User avatar
No.19975
Tafoid
Administrator
Mar 31, 2022, 12:42
I can't duplicate. I've tried several launches.plays of both sets you mentioned. With a freshly created NVRAM from a boot of current MAME, I can credit, start, race then restart MAME and it continues to reboot.play correctly.

You mentioned replacing your nvram with other games' nvram of unknown creation date, but have you tried simply with a new NVRAM?
Are you sure you don't have cheats active? I am able to duplicate the RAM 0 display issue with failure to boot after booting normally and using -cheat "Always have Accelerator Fully Down" then issuing a soft reset (F3). Fully stopping MAME and restarting (or a hard reset SHIFT+F3) allows the game to boot/play fine after.

I have no idea beyond that.
Perhaps someone else has ideas.
User avatar
No.19976
chaneman
Tester
Mar 31, 2022, 14:38
edited on: Mar 31, 2022, 23:03
This problem is likely caused by the hiscore plugin. When I disabled the plugin and deleted the old nvram, the problem went away.
Strange it only affected these two sets when it was enabled.
User avatar
No.19977
CYBERYOGI -CO-Windler
Viewer
Apr 1, 2022, 04:31
edited on: Apr 1, 2022, 04:33
I don''t have MAME on this computer but on a laptop. But I will check if I can copy some nvram files for verification. I never used "cheat" yet and also no foreign plugins other than mameinfo and some samples. I also use no external MAME frontend. Apparently the nvram file initially created by poleposa1 and poleposa2 is faulty, because they run normal with nvram files taken from Namco variants, and then will also update them properly to keep new highscores.
User avatar
No.19979
CYBERYOGI -CO-Windler
Viewer
Apr 1, 2022, 19:45
I have now added some nvram files of various versions (see file dates and names).

Interesting is that an unplayed nvram file on Namco (polepos) changes a byte when reloaded a 2nd time without playing. The unplayed Atari version poleposa1 locks up when game is started again (during blue boot screen with character mess) which does not change the nvram file.
User avatar
No.20058
Tafoid
Administrator
Apr 15, 2022, 18:31
Anyone else able to duplicate?

To OP:
Are you 100% sure you are using the release binary from mamedev.org , which is 64-bit?
Are you 100% sure your Windows 10 install is also 64-bit?

Please try to run in a completely fresh environment (new folder install of MAME) and see if it happens without referencing any of your former .cfg/.ini files. I can't help to think there is something in your configuration chain which may be causing this.
User avatar
No.20067
CYBERYOGI -CO-Windler
Viewer
Apr 16, 2022, 06:45
edited on: Apr 16, 2022, 06:47
The laptop and Win10 are definitely in 64bit mode (else it would e.g. execute 16bit Windows games natively) and of course the MAME version too. I can not simply install a local 2nd fresh MAME install because the HDD is too small. And it took years of tweaking my MAME settings (controls, steering wheel sensitivity etc.), so I definitely won't erase it to make a clean install.
User avatar
No.20090
Tafoid
Administrator
Apr 25, 2022, 11:38
Not sure if we can help you then here.
I don't see malfunction in a freshly uncompressed MAME using with default settings. Old nvram files shouldn't play into it and could very well be your problem.
User avatar
No.20094
Augusto
Tester
Apr 25, 2022, 18:14
SDLMAME 0.242 64 bits.
Pole Position 1 and 2 main romset not problems.
Perhaps hiscore dat or the plugin ?
User avatar
No.20095
Tafoid
Administrator
Apr 26, 2022, 22:07
I have no one able to confirm this with a fresh install of the most recent MAME using any Pole Position machine under default settings.
Closing.